unit uMain;

interface

uses
  System.SysUtils, System.Classes, JS, WEBLib.JSON, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, WEBLib.ExtCtrls, Vcl.Controls, WEBLib.TreeNodes,
  Vcl.ComCtrls, WEBLib.ComCtrls, WEBLib.ContinuousScroll, Vcl.StdCtrls,
  WEBLib.StdCtrls, jsdelphisystem, Data.DB, WEBLib.CDS, WEBLib.DBCtrls,
  WEBLib.DB, Vcl.Grids, WEBLib.WebCtrls;

type
  TfrmMain = class(TWebForm)
    lblComments: TWebLabel;
    btnOpen: TWebButton;
    pTarget: TWebPanel;
    procedure btnOpenClick(Sender: TObject);
    procedure WebFormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

uses
  uDetail, uGrid;

procedure TfrmMain.btnOpenClick(Sender: TObject);
begin
  TfrmDetailClass(TfrmGrid).CreateNew('TARGET_PANEL',
  procedure (Sender: TObject)
  begin
    TfrmDetail(Sender).SetupForm();
  end
  )
end;

procedure TfrmMain.WebFormShow(Sender: TObject);
begin
  btnOpenClick(nil);
end;

end.
